{
  "main": "node_modules/expo/AppEntry.js",
  "scripts": {
    "start": "expo start",
    "android": "expo start --android",
    "ios": "expo start --ios",
    "web": "expo start --web",
    "eject": "expo eject",
    "lint": "eslint . --ext .js,.jsx,.ts,.tsx",
    "lint:fix": "tsc --noEmit && eslint . --fix --ext .js,.jsx,.ts,.tsx",
    "prettier:check": "prettier  --check .",
    "prettier:fix": "prettier  --write .",
    "prepare": "husky install",
    "test": "jest",
    "pre-commit": "lint-staged"
  },
  "jest": {
    "preset": "react-native"
  },
  "dependencies": {
    "@expo-google-fonts/source-sans-pro": "^0.1.0",
    "@react-native-async-storage/async-storage": "^1.13.0",
    "@react-native-community/datetimepicker": "3.2.0",
    "@react-native-community/masked-view": "0.1.10",
    "@react-navigation/bottom-tabs": "^5.11.11",
    "@react-navigation/drawer": "^5.12.5",
    "@react-navigation/native": "^5.9.4",
    "@react-navigation/stack": "^5.14.5",
    "@reduxjs/toolkit": "^1.5.1",
    "@testing-library/react-native": "^7.2.0",
    "@types/react-redux": "^7.1.16",
    "@types/react-test-renderer": "^17.0.1",
    "axios": "^0.21.1",
    "expo": "~41.0.1",
    "expo-app-loading": "^1.0.3",
    "expo-font": "~9.1.0",
    "expo-linear-gradient": "~9.1.0",
    "expo-status-bar": "~1.0.4",
    "moment": "^2.29.1",
    "native-base": "^2.15.2",
    "react": "16.13.1",
    "react-dom": "16.13.1",
    "react-native": "https://github.com/expo/react-native/archive/sdk-41.0.0.tar.gz",
    "react-native-appearance": "^0.3.4",
    "react-native-date-input": "^1.0.11",
    "react-native-date-picker": "^3.3.1",
    "react-native-dotenv": "^2.5.5",
    "react-native-elements": "^3.4.1",
    "react-native-gesture-handler": "~1.10.2",
    "react-native-paper": "^4.9.1",
    "react-native-reanimated": "~2.1.0",
    "react-native-root-toast": "^3.2.1",
    "react-native-safe-area-context": "3.2.0",
    "react-native-screens": "~3.0.0",
    "react-native-svg": "12.1.0",
    "react-native-svg-transformer": "^0.14.3",
    "react-native-web": "~0.13.12",
    "react-redux": "^7.2.4",
    "react-test-renderer": "^16.0.0",
    "redux-devtools-extension": "^2.13.9",
    "redux-thunk": "^2.3.0"
  },
  "devDependencies": {
    "@babel/core": "^7.9.0",
    "@types/jest": "^26.0.23",
    "@types/react": "~16.9.35",
    "@types/react-native": "~0.63.2",
    "@typescript-eslint/eslint-plugin": "^4.27.0",
    "eslint": "^7.28.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-config-standard-with-typescript": "^20.0.0",
    "eslint-plugin-import": "^2.23.4",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.3.1",
    "eslint-plugin-react": "^7.24.0",
    "eslint-plugin-react-native": "^3.11.0",
    "husky": "^6.0.0",
    "prettier": "^2.3.1",
    "ts-jest": "^27.0.3",
    "typescript": "~4.0.0"
  },
  "private": true,
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "*.{js,jsx,ts,tsx}": [
      "npm run prettier:fix",
      "npm run lint:fix",
      "git add ."
    ]
  }
}
